--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (*block_args)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Pushes given query on top of the stack
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash, Query] Query to add to current scope nesting"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::Scope#with_scope
is_singleton: false
name: with_scope
params: (query) {|*block_args| ...}
visibility: protected
